SOLUTION PARAMETERS
          lstol     maxls               mntol               mnref  maxminor   maxlist  maxmajor
:
*format "%15.7e%5i%15.7e%15.7e%5i%5i%5i"
*gendata(1,real)     *gendata(2,int)     *gendata(3,real)     *gendata(4,real)     *gendata(5,int)     *gendata(6,int)     *gendata(7,int)


NODE COORDINATES
 node                   x                   y                   z
:
*format "%5i"
*npoin

*loop nodes
*format "%5i%15.7e%15.7e%15.7e"
*nodesnum     *nodescoord(1,real)     *nodescoord(2,real)     *nodescoord(3,real)
*end nodes


CABLE GROUPS
group           stiffness             density
:
*set var ne(int) = 0
*loop materials
*if(strcmp(matprop(0),"Cable")==0)
*set var ne(int) = 1
*set var m1(real) = operation(matprop(1,real))
*set var m2(real) = operation(matprop(2,real))
*endif
*end materials
*format "%5i"
*ne
*if(ne != 0)

*format "%15.7e%15.7e"
    1     *m1     *m2
*endif


CABLE ELEMENTS
 elem     node1     node2     group
:
*set var ne(int) = nelem(Linear)
*format "%5i"
*ne
*if(ne != 0)

*set var ne(int) = 0
*loop elems
*if(elemsnnode == 2)
*set var ne(int) = operation(ne+1,int)
*format "%5i%5i%10i%5i"
*ne     *elemsconec         1
*endif
*end elems
*endif


MEMBRANE GROUPS
group           stiffness             poisson             density
:
*set var ne(int) = 0
*loop materials
*if(strcmp(matprop(0),"Fabric")==0)
*set var ne(int) = 1
*set var m1(real) = operation(matprop(1,real))
*set var m2(real) = operation(matprop(2,real))
*set var m3(real) = operation(matprop(3,real))
*endif
*end materials
*format "%5i"
*ne
*if(ne != 0)

*format "%15.7e%15.7e%15.7e"
    1     *m1     *m2     *m3
*endif


MEMBRANE ELEMENTS
 elem     node1     node2     node3     group
:
*set var ne(int) = nelem(Triangle)
*format "%5i"
*ne
*if(ne != 0)

*set var ne(int) = 0
*loop elems
*if(elemsnnode == 3)
*set var ne(int) = operation(ne+1,int)
*format "%5i%5i%10i%10i%5i"
*ne     *elemsconec         1
*endif
*end elems
*endif


KNOWN DISPLACEMENTS
 node      axis               displ
:
*set var ne(int) = 0
*set cond displacement *nodes
*loop nodes *onlyincond
*if(cond(1,int) == 1)
*set var ne(int) = operation(ne+1,int)
*endif
*if(cond(3,int) == 1)
*set var ne(int) = operation(ne+1,int)
*endif
*if(cond(5,int) == 1)
*set var ne(int) = operation(ne+1,int)
*endif
*end nodes
*format "%5i"
*ne
*if(ne != 0)

*set cond Displacement *nodes
*loop nodes *onlyincond
*if(cond(1,int) == 1)
*set var axis(int) = 1
*format "%5i%5i%15.7e"
*nodesnum     *axis     *cond(2,real)
*endif
*if(cond(3,int) == 1)
*set var axis(int) = 2
*format "%5i%5i%15.7e"
*nodesnum     *axis     *cond(4,real)
*endif
*if(cond(5,int) == 1)
*set var axis(int) = 3
*format "%5i%5i%15.7e"
*nodesnum     *axis     *cond(6,real)
*endif
*end nodes
*endif


NODE ACTIONS
 node      axis               force
:
*set var ne(int) = 0
*set cond Force *nodes
*loop nodes *onlyincond
*if(cond(1,real) != 0.0)
*set var ne(int) = operation(ne+1,int)
*endif
*if(cond(2,real) != 0.0)
*set var ne(int) = operation(ne+1,int)
*endif
*if(cond(3,real) != 0.0)
*set var ne(int) = operation(ne+1,int)
*endif
*end nodes
*format "%5i"
*ne
*if(ne != 0)

*set cond Force *nodes
*loop nodes *onlyincond
*if(cond(1,real) != 0.0)
*set var axis(int) = 1
*format "%5i%5i%15.7e"
*nodesnum     *axis     *cond(1,real)
*endif
*if(cond(2,real) != 0.0)
*set var axis(int) = 2
*format "%5i%5i%15.7e"
*nodesnum     *axis     *cond(2,real)
*endif
*if(cond(3,real) != 0.0)
*set var axis(int) = 3
*format "%5i%5i%15.7e"
*nodesnum     *axis     *cond(3,real)
*endif
*end nodes
*endif


PRESSURE ON MEMBRANE ELEMENTS
 elem            pressure
:
*set var ne(int) = 0
*set cond Pressure *elems
*loop elems *onlyincond
*if(cond(1,real) != 0.0) && (elemsnnode == 3)
*set var ne(int) = operation(ne+1,int)
*endif
*end elems
*format "%5i"
*ne
*if(ne != 0)

*set var ne = 0
*set cond Pressure *elems
*loop elems
*if(elemsnnode == 3)
*set var ne = operation(ne+1)
*if(cond(1,real) != 0.0)
*format "%5i%15.7e"
*ne     *cond(1,real)
*endif
*endif
*end elems
*endif
